GuideLab API

Update Receiving Source

Update a receiving source's name, code, or active status.

PUT
/receiving-sources/{id}

Update a receiving source's name, code, or active status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Receiving source ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/receiving-sources/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "source": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "code": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty